# draugr.numpy_utilities.datasets.splitting.SplitIndexer

class draugr.numpy_utilities.datasets.splitting.SplitIndexer(dataset_length: int, training: float = 0.7, validation: float = 0.2, testing: float = 0.1)

  Bases: `object`

  Splits dataset in to 3 parts based on percentages, returns indices for the data set sequence

  __init__(dataset_length: int, training: float = 0.7, validation: float = 0.2, testing: float = 0.1)

  Methods

  `__init__`(dataset_length[, training, ...]) |
  `select_shuffled_split_indices`(split[, seed]) | description
  `select_testing_indices`(ind) | description
  `select_train_indices`(ind) | description
  `select_validation_indices`(ind) | description
  `shuffled_indices`() | description

  `unnormalised`(num[, floored])

  param num

  Attributes

  `default_split_names` |

  select_shuffled_split_indices(split: SplitEnum, seed: int = 0) → object

    description

  select_testing_indices(ind: Sequence ) → Sequence

    description

  select_train_indices(ind: Sequence ) → Sequence

    description

  select_validation_indices(ind: Sequence ) → Sequence

    description

  shuffled_indices() → dict

    description

  unnormalised(num: int, floored: bool = True) → ndarray
    Parameters

      - num –

      - floored –

    Returns

    Return type